1. Audio
梧柏API使用文档
WHBAI · OpenAI 兼容
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Chat
    • 对话补全(OpenAI 兼容)
      POST
  • Embeddings
    • 文本嵌入(OpenAI 兼容)
      POST
  • Audio
    • 音频转文字 gpt-4o-transcribe
      POST
    • 创建语音 gpt-4o-mini-tts
      POST
    • 创建翻译(部分模型不支持)
      POST
  • 文生图接口
    • GPT Image-1
      • 创建 gpt-image-2.5
    • Grok
      • 编辑image【"grok-imagine-image-quality" | "grok-imagine-image-2.0"】
  • Models
    • 获取令牌支持模型
      GET
  • Completions
    • 创建完成
      POST
  • Responses
    • 创建函数调用
      POST
    • gpt 上下文压缩
      POST
  • Rerank
    • 重排序
      POST
  • 智能交互
    • TypeSafe
      • TypeSafe System One
  • 谷歌Gemini
    • 原生格式
      • 图片生成 gemini-nano-banana-2.1
  • 品牌平台
    • MINIMAX-V2
      • 创建视频
      • 查询单个任务
  • 数据模型
    • 对话接口 POST /v1/chat/completions
    • V1ChatCompletionsResponse
    • V1EmbeddingsRequest
    • V1EmbeddingsResponse
    • V1AudioSpeechRequest
    • PostV1ImagesGenerationsRequest
    • POST /v1/images/generations · wan2.7-image-pro 成功响应
    • POSTV1ImagesGenerations_DallE2
    • POSTV1ImagesGenerations_GptImage1
    • POSTV1ImagesGenerations_GptImage2
    • POSTV1ImagesGenerations_GptImage25
    • POSTV1ImagesGenerations_GptImage2C
    • POSTV1ImagesGenerations_QwenImageMax
    • POSTV1ImagesGenerations_ZImageTurbo
    • POSTV1ImagesGenerations_QwenImage20260303
    • POSTV1ImagesGenerations_QwenImage3
    • POSTV1ImagesGenerations_QwenImage3Pro
    • POSTV1ImagesEdits_Grok3Image
    • POSTV1ImagesEdits_GptImage1
    • POSTV1ImagesEdits_GptImage2
    • POSTV1ImagesEdits_GptImage25
    • POSTV1ImagesEdits_QwenImageEdit2509
    • POSTV1ImagesGenerations_DallE3
    • POSTV1ImagesGenerations_Grok2Image
    • POSTV1ImagesGenerations_Grok3Image
    • Message
    • ContentPart
    • Tool
    • StreamOptions
    • ResponseFormat
    • WebSearchOptions
    • wan2.7-image-pro 文生图请求
    • imageData
    • PostV1ImagesEditsResponse
    • PostV1CompletionsRequest
    • PostV1CompletionsResponse
    • PostV1ResponsesRequest
    • PostV1ResponsesResponse
    • PostV1ResponsesCompactRequest
    • PostV1RerankRequest
    • PostV1RerankResponse
    • NewApiError
  1. Audio

音频转文字 gpt-4o-transcribe

POST
/v1/audio/transcriptions
官方文档:https://platform.openai.com/docs/guides/speech-to-text

网站中的模型与调用示例#

音频转文字 gpt-4o-transcribe#

官方文档:https://platform.openai.com/docs/guides/speech-to-text

请求参数#

{
  "contentType": "multipart/form-data",
  "properties": {
    "file": {
      "description": "要转录的音频文件对象(不是文件名),格式为:flac、mp3、mp4、mpeg、mpga、m4a、ogg、wav 或 webm。",
      "example": "file://C:\\Users\\Administrator\\Desktop\\test.m4a",
      "format": "binary",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Audio file object (not file name) to be transcribed, in the format: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav or webm."
        }
      }
    },
    "model": {
      "description": "要使用的模型 ID。目前只有 whisper-1,gpt-4o-mini-transcribe 是可用的。",
      "example": "gpt-4o-transcribe",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "The model ID to use. Currently only whisper-1,gpt-4o-mini-transcribe are available."
        }
      }
    },
    "response_format": {
      "description": "默认为 json\n转录输出的格式,可选择:json、text",
      "example": "json",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Default is json\nTranscription output format, optional: json, text"
        }
      }
    }
  },
  "required": [
    "file",
    "model"
  ]
}

请求示例 · 音频转文字 gpt-4o-transcribe#

{
  "file": "file://C:\\Users\\Administrator\\Desktop\\test.m4a",
  "model": "gpt-4o-transcribe",
  "response_format": "json"
}

请求示例 · 音频转文字 whisper-1#

{
  "file": "file://C:\\Users\\Administrator\\Desktop\\test.m4a",
  "language": "zh",
  "model": "whisper-1",
  "prompt": "这是一段中文音频",
  "response_format": "json"
}

响应示例 · 成功示例#

{
  "text": "Imagine the wildest idea that you've ever had, and you're curious about how it might scale to something that's a 100, a 1,000 times bigger. This is a place where you can get to do that."
}

响应示例 · 成功示例#

{
  "text": "一二三四五六七八九十"
}

音频转文字 gpt-4o-transcribe#

官方文档:https://platform.openai.com/docs/guides/speech-to-text

请求参数#

{
  "contentType": "multipart/form-data",
  "properties": {
    "file": {
      "description": "要转录的音频文件对象(不是文件名),格式为:flac、mp3、mp4、mpeg、mpga、m4a、ogg、wav 或 webm。",
      "example": "file://C:\\Users\\Administrator\\Desktop\\test.m4a",
      "format": "binary",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Audio file object (not file name) to be transcribed, in the format: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav or webm."
        }
      }
    },
    "model": {
      "description": "要使用的模型 ID。目前只有 whisper-1,gpt-4o-mini-transcribe 是可用的。",
      "example": "gpt-4o-transcribe",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "The model ID to use. Currently only whisper-1,gpt-4o-mini-transcribe are available."
        }
      }
    },
    "response_format": {
      "description": "默认为 json\n转录输出的格式,可选择:json、text",
      "example": "json",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Default is json\nTranscription output format, optional: json, text"
        }
      }
    }
  },
  "required": [
    "file",
    "model"
  ]
}

请求示例 · 音频转文字 gpt-4o-transcribe#

{
  "file": "file://C:\\Users\\Administrator\\Desktop\\test.m4a",
  "model": "gpt-4o-transcribe",
  "response_format": "json"
}

请求示例 · 音频转文字 whisper-1#

{
  "file": "file://C:\\Users\\Administrator\\Desktop\\test.m4a",
  "language": "zh",
  "model": "whisper-1",
  "prompt": "这是一段中文音频",
  "response_format": "json"
}

响应示例 · 成功示例#

{
  "text": "Imagine the wildest idea that you've ever had, and you're curious about how it might scale to something that's a 100, a 1,000 times bigger. This is a place where you can get to do that."
}

响应示例 · 成功示例#

{
  "text": "一二三四五六七八九十"
}

音频转文字 gpt-4o-transcribe#

官方文档:https://platform.openai.com/docs/guides/speech-to-text

请求参数#

{
  "contentType": "multipart/form-data",
  "properties": {
    "file": {
      "description": "要转录的音频文件对象(不是文件名),格式为:flac、mp3、mp4、mpeg、mpga、m4a、ogg、wav 或 webm。",
      "example": "file://C:\\Users\\Administrator\\Desktop\\test.m4a",
      "format": "binary",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Audio file object (not file name) to be transcribed, in the format: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav or webm."
        }
      }
    },
    "model": {
      "description": "要使用的模型 ID。目前只有 whisper-1,gpt-4o-mini-transcribe 是可用的。",
      "example": "gpt-4o-transcribe",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "The model ID to use. Currently only whisper-1,gpt-4o-mini-transcribe are available."
        }
      }
    },
    "response_format": {
      "description": "默认为 json\n转录输出的格式,可选择:json、text",
      "example": "json",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Default is json\nTranscription output format, optional: json, text"
        }
      }
    }
  },
  "required": [
    "file",
    "model"
  ]
}

请求示例 · 音频转文字 gpt-4o-transcribe#

{
  "file": "file://C:\\Users\\Administrator\\Desktop\\test.m4a",
  "model": "gpt-4o-transcribe",
  "response_format": "json"
}

请求示例 · 音频转文字 whisper-1#

{
  "file": "file://C:\\Users\\Administrator\\Desktop\\test.m4a",
  "language": "zh",
  "model": "whisper-1",
  "prompt": "这是一段中文音频",
  "response_format": "json"
}

响应示例 · 成功示例#

{
  "text": "Imagine the wildest idea that you've ever had, and you're curious about how it might scale to something that's a 100, a 1,000 times bigger. This is a place where you can get to do that."
}

响应示例 · 成功示例#

{
  "text": "一二三四五六七八九十"
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Body 参数multipart/form-data

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location '/v1/audio/transcriptions' \
--header 'Authorization: Bearer <token>' \
--form 'file=@"C:\\Users\\Administrator\\Desktop\\test.m4a"' \
--form 'model="gpt-4o-transcribe"' \
--form 'language=""' \
--form 'prompt=""' \
--form 'response_format="json"' \
--form 'temperature=""'

返回响应

🟢200成功
application/json
OK
Bodyapplication/json

示例
{
    "text": "一二三四五六七八九十"
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:00
上一页
文本嵌入(OpenAI 兼容)
下一页
创建语音 gpt-4o-mini-tts
Built with